package com.ascendfinalproject.warehouse.services;

import com.ascendfinalproject.warehouse.models.Session;
import com.ascendfinalproject.warehouse.repositories.SessionRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SessionService {

    @Autowired
    SessionRepository sessionRepository;

    public Session saveToken(Session session) {
        return sessionRepository.save(session);
    }

    public boolean tokenExists(Session session) {
        return sessionRepository.existsById(session.getToken());
    }


}
